#!/bin/bash
# This is version 2.0.18 of MTH MyMoney built on February 8 2008 at 1603
#
#
#SET MMY_HOME to the root installation directory for My Money

MMY_HOME=`dirname $0`

# options used by launcher by default
#
DEFAULT_OPTIONS="-Xms32m -Xmx96m -XX:MaxPermSize=128m -XX:+AggressiveOpts -XX:LargePageSizeInBytes=4m -Dderby.language.logQueryPlan=false"


# classpath
#

CLASSES=$MMY_HOME/mymoney.2.0.18.jar
CLASSES=$MMY_HOME/config:$CLASSES
CLASSES=$MMY_HOME/lib/substance-lite.jar:$CLASSES
CLASSES=$MMY_HOME/lib/bsh-2.0b4.jar:$CLASSES
CLASSES=$MMY_HOME/lib/catalina.1.0.4.jar:$CLASSES
CLASSES=$MMY_HOME/lib/commons-beanutils-1.8.0-BETA.jar:$CLASSES
CLASSES=$MMY_HOME/lib/commons-cli-1.0.jar:$CLASSES
CLASSES=$MMY_HOME/lib/commons-collections-2.1.jar:$CLASSES
CLASSES=$MMY_HOME/lib/commons-digester-1.8.jar:$CLASSES
CLASSES=$MMY_HOME/lib/commons-logging-api-1.0.2.jar:$CLASSES
CLASSES=$MMY_HOME/lib/derby.jar:$CLASSES
CLASSES=$MMY_HOME/lib/derbytools.jar:$CLASSES
CLASSES=$MMY_HOME/lib/forms-1.0.7.jar:$CLASSES
CLASSES=$MMY_HOME/lib/iText-2.0.7.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jasperreports-2.0.3.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jcommon-1.0.0.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jfreechart-1.0.0.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jide-action.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jide-common.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jide-components.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jide-dialogs.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jide-dock.jar:$CLASSES
CLASSES=$MMY_HOME/lib/jide-grids.jar:$CLASSES
CLASSES=$MMY_HOME/lib/poi-3.0.1-FINAL-20070705.jar:$CLASSES
CLASSES=$MMY_HOME/lib/prefuse.jar:$CLASSES
CLASSES=$MMY_HOME/lib/validation-1.4.0.jar:$CLASSES
CLASSES=$MMY_HOME/lib/swing-worker-1.1.jar:$CLASSES

INSTANCE=`ps aux | grep $MMY_HOME/bin/java  | grep -v grep | wc -l`

if [ "$INSTANCE" == "0" ]; then 
    # echo $MMY_HOME/jre/bin/java $DEFAULT_OPTIONS -cp $CLASSES com.mth.mymoney.Money -Dmmy_installed=$MMY_HOME 
    $MMY_HOME/jre/bin/java $DEFAULT_OPTIONS -cp $CLASSES com.mth.mymoney.Money -Dmmy_installed=$MMY_HOME > /dev/null &
fi

echo "param1 $1 param2 $2" 

# see if we are passed a file to parse on the commandline
# (so many ifs because getops seems to be misbehaving under different linuxes)
if [ ! -z $1 ] && [ $1 = "-I" ]; then
    if [ ! -z $2 ] && [ -f $2 ]; then

        file=$2
        incomingDir=~/.mymoney/system/incoming

        if [ -d $incomingDir ]; 
        then
            cp -f $file $incomingDir
        else
            mkdir -p $incomingDir
            cp -f $file $incomingDir
        fi
    fi
fi

exit 0
# Done
